[Python-Dev] Proposing PEP 345 : Metadata for Python Software Packages 1.2

"Martin v. Löwis" martin at v.loewis.de
Mon Jan 4 01:21:53 CET 2010


>> Requires-Dist: pywin32 (>1.0); sys.platform == 'win32'
> 
>   Requires-Dist: [Windows] pywin32 1.0+
> 
> That's simpler, shorter, and less ambiguous. Easier to
> parse for package managers.

Don't you want the PEP to complete? Why this bike-shedding?

I can agree it's shorter. I can't agree that it's simpler,
or less ambiguous.

Regards,
Martin



More information about the Python-Dev mailing list